// HideDebugger.cpp

#include "stdafx.h"
#include "HideDebugger.h"

BOOLEAN HideDebugger(void)
{
    BOOLEAN bOldFlag;
    PPEB    pCurrentPEB;
    pCurrentPEB = RtlGetCurrentPeb();
    bOldFlag = pCurrentPEB->BeingDebugged;
    pCurrentPEB->BeingDebugged = FALSE;
    return bOldFlag;
}
